| hscolour | Source code | Contents | Index

Language.Haskell.HsColour.ColourHighlight

Synopsis

data Colour

= Black
| Red
| Green
| Yellow
| Blue
| Magenta
| Cyan
| White

data Highlight

= Normal
| Bold
| Dim
| Underscore
| Blink
| ReverseVideo
| Concealed
| Foreground Colour
| Background Colour

Documentation

data Colour | Source

Colours supported by ANSI codes.
Constructors

Black |
Red |
Green |
Yellow |
Blue |
Magenta |
Cyan |
White |

Instances

Enum Colour
Eq Colour
Read Colour
Show Colour

data Highlight | Source

Types of highlighting supported by ANSI codes.
Constructors

Normal |
Bold |
Dim |
Underscore |
Blink |
ReverseVideo |
Concealed |
Foreground Colour |
Background Colour |

Instances

Enum Highlight
Eq Highlight
Read Highlight
Show Highlight

Produced by Haddock version 0.8